package com.wd.workoffice.bean.workEnum;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public enum PermissionType {

    PROCESS_SUPPLY("PROCESS_SUPPLY", "供应流程"), SUPPLY_SELL("SUPPLY_SELL", "接单"), SUPPLY_BUY("SUPPLY_BUY", "下单"),
    PROCESS_INSIDE("PROCESS_INSIDE", "内部交易流程"), INSIDE_SELL("INSIDE_SELL", "接单"), INSIDE_BUY("INSIDE_BUY", "下单"),

    PROCESS_CRUCIBLE("PROCESS_CRUCIBLE", "坩埚流程"), CRUCIBLE_SELL("CRUCIBLE_SELL", "接单"), CRUCIBLE_BUY("CRUCIBLE_BUY", "下单"),
    PROCESS_SALE("PROCESS_SALE", "销售流程"), ES_SELL("ES_SELL", "接单"), ES_BUY("ES_BUY", "下单"), ES_GET("ES_GET", "查看"),

    PROCESS_PURCHASE("PROCESS_PURCHASE", "外采购流程"), PURCHASE_SELL("PURCHASE_SELL", "接单"), PURCHASE_BUY("PURCHASE_BUY", "下单"),

    PROCESS_REPAIR("PROCESS_REPAIR", "维修流程"), REPAIR_SELL("REPAIR_SELL", "接单"), REPAIR_BUY("REPAIR_BUY", "下单"),
    PROCESS_FISCAL_TAX("PROCESS_FISCAL_TAX", "财税流程"), FISCAL_TAX_SELL("FISCAL_TAX_SELL", "接单"), FISCAL_TAX_BUY("FISCAL_TAX_BUY", "下单");


    private String code;
    private String name;

    public String getName() {
        return name;
    }

    public String getCode() {
        return code;
    }

    PermissionType(String code, String name) {
        this.code = code;
        this.name = name;
    }
}
